Account Delegation Processes
Rolodex
/- Looks up a social profile and returns what is found to the user
Creates a new organization record that does not already exist.
Execute Batch Operations
Get all descendent organizations
Returns the organization matching the specified domain_name
Finds all conflicting fields for organizations
Returns a list of records with the specified parent_organization_id
Sends out a preview of the CRC notification email
Get publicly available information for an org
Re-runs compliance for all organizations in the system
Searches for organizations using predefined parameters
Returns a organization from the system by its ID.
Returns a organization from the system by its ID.
Partially updates a organization with the specified ID.
Updates a organization with the specified ID.
Updates a organization with data merged from other organizations then signals other microservices to complete the merge
Looks up a social profile...
Rolodex (Contacts & Organizations) (v1-2025-04-18)
The Contacts & Organizations, or Rolodex, app provides the Customer Relationship Management (CRM) capabilities of the Rhythm platform. Common integrations with the Rolodex API include finding or updating contact information, demographics, or communication preferences for a Contact or Organization.
Like most of the other Rhythm apps, the Rolodex API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API.
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1
https://rolodex.api.rhythmsoftware.com
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}/search
- https://rolodex.api.rhythmsoftware.com/organizations/{tenantId}/search
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"city": "string",
"domain_name": "string",
"ids": [
"string"
],
"name": "string",
"number": [
0.1
],
"state": "string",
"status": [
"string"
],
"type_id": "string"
}'Response
application/json
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}/{id}
- https://rolodex.api.rhythmsoftware.com/organizations/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
"string"